The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Nessus Scan Report Import

Prev Next

This URL is to import the Nessus scan report file into Manager.

Resource URL

PUT domain/{domain_id}/va/nonmvmreport/import

Content-type value

Application/json

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

domain_id

Domain id

Number

yes

Payload Parameters:

Field Name

Description

Data Type

Mandatory

enableAutoImport

Enable automatic import

Boolean

Yes

filePath

Specify the file path

String

Yes

The file should be present in the Manager

importFrequency

Frequency of import

String

Yes

importFrequencyDay

Total number of days of import

Number

Yes

importFrequencyTime

Time at which import should occur

Number

Yes

generateInformationalFaults

Enable generation of informational faults

Boolean

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise, error details are returned.

Field Name

Description

Data Type

time

Timestamp of import

String

result

Status of import

String

IPsAdded

Total IP addresses added

Number

IPsUpdated

Total IP addresses updated

Number

IPsIgnored

Total IP addresses ignored

Number

Example

Request

PUT https://<NSM_IP>/sdkapi/domain/0/va/nonmvmreport/import

{
 "enableAutolmport": true, 
 "filePath": "IPS_nessus.xml", 
 "importFrequency”: "WEEKLY", 
 "importFrequencyDay": 1, 
 "importFrequencyTime": "08:30 PM", 
 "generatelnformationalFaults": false
}

Response

{
 "time": "Fri Jul 26 11:19:39 UTC 2024",
 "result": "The report file was successfully imported, 
            but its timestamp matches or is older than the previously-imported 
            report file.cbr /><br />Import File: /opt/IPSManager/App/IPS_nessus.xml",
 "IPsAdded": 0,
 "IPsUpdated": 995,
 "IPsIgnored": 0
}

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

400

4301

Invalid domain id

2

400

7001

Invalid scan report file

3

400

2202

No input stream

4

400

7002

Invalid report type

5

400

7000

Failed to import